<template>
  <view class="textarea">
    <uv-form-item
      :labelWidth="100"
      :label="item?.taskFiledValue"
      :borderBottom="false"
      labelPosition="top"
      :required="item?.isMustfill == '1'"
    >
      <uv-textarea
        v-model="propsMessage"
        :maxlength="item?.taskFiledMaxsize"
        count
        border="none"
        placeholder="请输入内容"
        class="textarea-box"
      ></uv-textarea>
    </uv-form-item>
  </view>
</template>

<script setup lang="ts">
import { computed } from 'vue'
const emmits = defineEmits(['update:textareaValue'])

let props = defineProps({
  item: Object,
  index: Number,
  textareaValue: String
})

const propsMessage = computed({
  get: () => {
    return props.textareaValue
  },
  set: (val) => {
    emmits('update:textareaValue', val)
  }
})
</script>

<style lang="scss" scoped></style>
